﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace Demo01
{
    public partial class MyFirstActivity : System.Workflow.ComponentModel.Activity
	{
		public MyFirstActivity()
		{
			InitializeComponent();
		}



        public string DataExchange
        {
            get { return (string)GetValue(DataExchangeProperty); }
            set { SetValue(DataExchangeProperty, value); }
        }

        // Using a DependencyProperty as the backing store for DataExchange.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty DataExchangeProperty =
            DependencyProperty.Register("DataExchange", typeof(string), typeof(MyFirstActivity), new PropertyMetadata(0));

        protected override ActivityExecutionStatus Execute(ActivityExecutionContext executionContext)
        {
            Console.Write("Doing the job!");
            return base.Execute(executionContext);
        }

	}
}
